<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <th:block th:include="fragments/general.html :: headerfiles"></th:block>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>
<body class="body-img">
<section class="container-fluid content">
    <div class="row my-5 py-3">
        <div class="col-md-3"></div>
        <div class="col-md-6 border border-secondary bg-white">
            <div class="d-flex justify-content-between py-3">
                <h3>
                    <i class="fas fa-user-plus"> </i>
                    <span th:text="#{general.button.register}"></span>
                </h3>
            </div>
            <form method="POST" th:object="${newUser}">
                <hr>

                <div class="form-row">
                    <div class="form-group col-md-4">
                        <label for="username"
                               maxlength="20"
                               th:text="#{general.username}"></label>
                        <input id="username"
                               type="text"
                               class="form-control"
                               th:classappend="${#fields.hasErrors('username')} ? is-invalid : ''"
                               th:field="*{username}"
                               autofocus="autofocus"
                               required>
                        <small class="form-text red"
                               th:if="${#fields.hasErrors('username')}"
                               th:errors="*{username}">
                        </small>
                    </div>
                    <div class="form-group col-md-8">
                        <label for="email"
                               th:text="#{general.email}"></label>
                        <input id="email"
                               type="email"
                               class="form-control"
                               th:classappend="${#fields.hasErrors('email')} ? is-invalid : ''"
                               th:field="*{email}"
                               required>
                        <small class="form-text red"
                               th:if="${#fields.hasErrors('email')}"
                               th:errors="*{email}">
                        </small>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="firstName"
                               th:text="#{general.firstName}"></label>
                        <input id="firstName"
                               type="text"
                               class="form-control"
                               th:classappend="${#fields.hasErrors('firstName')} ? is-invalid : ''"
                               th:field="*{firstName}"
                               required>
                        <small class="form-text red"
                               th:if="${#fields.hasErrors('firstName')}"
                               th:errors="*{firstName}">
                        </small>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="lastName"
                               th:text="#{general.lastName}"></label>
                        <input id="lastName"
                               type="text"
                               class="form-control"
                               th:classappend="${#fields.hasErrors('lastName')} ? is-invalid : ''"
                               th:field="*{lastName}"
                               required>
                        <small class="form-text red"
                               th:if="${#fields.hasErrors('lastName')}"
                               th:errors="*{lastName}">
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label for="defaultCity"
                           th:text="#{general.defaultCity}"></label>
                    <select id="defaultCity"
                            name="defaultCity"
                            class="form-control"
                            th:field="*{defaultCity}"
                            required>
                        <option th:each="city : ${T(pl.zielinska.trashAlert.domain.City).values()}"
                                th:value="${city}" th:text="#{${city.getName()}}"></option>
                    </select>
                </div>

                <div class="form-row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="password"
                                   th:text="#{general.password}"></label>
                            <input id="password"
                                   type="password"
                                   maxlength="20"
                                   class="form-control"
                                   th:classappend="${#fields.hasErrors('password') or #fields.hasErrors('global')} ? is-invalid : ''"
                                   th:field="*{password}"
                                   required>
                            <small class="form-text red"
                                   th:if="${#fields.hasErrors('password')}"
                                   th:errors="*{password}">
                            </small>
                        </div>
                        <div class="form-group">
                            <label for="confirmPassword"
                                   th:text="#{general.confirm.password}"></label>
                            <input id="confirmPassword"
                                   type="password"
                                   maxlength="20"
                                   class="form-control"
                                   th:classappend="${#fields.hasErrors('confirmPassword') or #fields.hasErrors('global')} ? is-invalid : ''"
                                   th:field="*{confirmPassword}"
                                   required>
                            <small class="form-text red"
                                   th:if="${#fields.hasErrors('password')}"
                                   th:errors="*{password}">
                            </small>
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="recaptcha"> </label>
                        <div class="g-recaptcha"
                             id="recaptcha"
                             data-sitekey="6LfVHeMUAAAAAN__P8rBTsfM9nZrMWUFkHW1PTY1">
                        </div>
                        <small class="form-text red"
                               th:if="${#fields.hasErrors('recaptcha')}"
                               th:text="#{validation.recaptcha}">
                        </small>
                    </div>
                </div>

                <p class="alert alert-warning"
                   th:if="${#fields.hasErrors('global')}"
                   th:errors="*{global}"></p>

                <hr>
                <div class="d-flex justify-content-center py-3">
                    <a class="btn btn-danger mx-2"
                       role="button"
                       th:href="@{/}"
                       th:text="#{general.button.cancel}"></a>
                    <button type="submit"
                            class="btn btn-success mx-2"
                            th:text="#{general.button.submit}"></button>
                </div>
            </form>

        </div>
        <div class="col-md-3"></div>
    </div>
</section>
    <footer th:insert="fragments/general.html :: footer"> </footer>
</body>
</html>